/*
   Copyright (c) 2014-2016 by Plexim GmbH
   All rights reserved.

   A free license is granted to anyone to use this software for any legal
   non safety-critical purpose, including commercial applications, provided
   that:
   1) IT IS NOT USED TO DIRECTLY OR INDIRECTLY COMPETE WITH PLEXIM, and
   2) THIS COPYRIGHT NOTICE IS PRESERVED in its entirety.

   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
   OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
   FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
   AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
   LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
   OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
   SOFTWARE.
 */

#ifndef _INCLUDES_H_
#define _INCLUDES_H_

#include <stdint.h>
#include <stdbool.h>
#include <stdlib.h>

#include "DSP2833x_Device.h"
#include "DSP2833x_SysCtrl.h"
#include "DSP2833x_EPwm_defines.h"
#include "DSP2833x_ECan.h"

#include "pil.h"

#define THIS_TSP_VER 0x0102

/***************************************************************************/
//#include "basename_cg.h"
/***************************************************************************/

#define PLX_ASSERT(x) do {\
   if(!(x)){\
      asm("        ESTOP0");\
      for(;;);\
   }\
} while(0)

#ifndef BUILD_HAL

#ifndef BASE_NAME
#error BASE_NAME undefined.
#endif

#define xstr(x) #x
#define str(x) xstr(x)
#define sub(x) x

#include str(sub(BASE_NAME)_settings_cg.h)
#include str(sub(BASE_NAME)_probes_cg.h)

#if defined(SCI_BAUD_RATE) && defined(SCI_PORT)
#define SCI_CONFIGURED
#endif

#ifdef TSP_VER
#if (TSP_VER != THIS_TSP_VER)
#error TSP Version mismatch.
#endif
#endif

#define PARALLEL_COM_BUF_ADDR 0xFF00
#define PARALLEL_COM_BUF_LEN 0x80

// Delay macro
extern void DSP28x_usDelay(long LoopCount);
#define PLX_DELAY_US(A)  DSP28x_usDelay( \
        ((((long double) A * \
           1000.0L) / \
          (long double)PLX_CPU_RATE) - 9.0L) / 5.0L)

#endif // BUILD_HAL
#endif // _INCLUDES_H_
