/*
   Copyright (c) 2014-2016 by Plexim GmbH
   All rights reserved.

   A free license is granted to anyone to use this software for any legal
   non safety-critical purpose, including commercial applications, provided
   that:
   1) IT IS NOT USED TO DIRECTLY OR INDIRECTLY COMPETE WITH PLEXIM, and
   2) THIS COPYRIGHT NOTICE IS PRESERVED in its entirety.

   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
   OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
   FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
   AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
   LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
   OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
   SOFTWARE.
 */

#include "includes.h"

#ifndef SPI_H_
#define SPI_H_

#include "spi_impl.h" // implementation specific

extern SPI_Handle_t SPI_init(void *aMemory, const size_t aNumBytes);
extern void SPI_configure(SPI_Handle_t aHandle, uint16_t port, uint32_t clk);
extern void SPI_setupPort(SPI_Handle_t aHandle, uint16_t aPinSet, SPI_Params_t *aParams);

extern bool SPI_getAndResetRxOverrunFlag(SPI_Handle_t aHandle);

extern uint16_t SPI_getTxFifoLevel(SPI_Handle_t aHandle);
extern uint16_t SPI_getRxFifoLevel(SPI_Handle_t aHandle);

extern void SPI_resetFifos(SPI_Handle_t aHandle);
extern bool SPI_putWords(SPI_Handle_t aHandle, uint16_t *aData, uint16_t aLen);
extern bool SPI_getWords(SPI_Handle_t aHandle, uint16_t *aData, uint16_t aLen);

extern void SPI_putGetWords(SPI_Handle_t aHandle, uint16_t *aOutData, uint16_t *aInData, uint16_t aLen);

#endif /* SPI_H_ */
