/*
   Copyright (c) 2019 by Plexim GmbH
   All rights reserved.

   A free license is granted to anyone to use this software for any legal
   non safety-critical purpose, including commercial applications, provided
   that:
   1) IT IS NOT USED TO DIRECTLY OR INDIRECTLY COMPETE WITH PLEXIM, and
   2) THIS COPYRIGHT NOTICE IS PRESERVED in its entirety.

   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
   OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
   FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
   AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
   LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
   OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
   SOFTWARE.
 */

#ifndef DAC_IMPL_H_
#define DAC_IMPL_H_

#define HAL_VOLTS_PER_DAC_BIT (3.0/4096.0) //VREFHI 3.0V for 2837xS

typedef enum DAC_UNIT {
    DAC_A = 0,
    DAC_B,
    DAC_C
} DAC_Unit_t;

typedef struct DAC_OBJ
{
    volatile struct DAC_REGS *dac;
} DAC_Obj_t;

typedef DAC_Obj_t *DAC_Handle_t;

inline void DAC_setVal(DAC_Handle_t aHandle, uint16_t aVal){
    DAC_Obj_t *obj = (DAC_Obj_t *)aHandle;
    obj->dac->DACVALS.all = aVal;
}

#endif /* DAC_IMPL_H_ */
